> So in debian we patch grunt to use globally installed modules and tasks.

I'm OK with creating more hoops to jump through in this case. I think the
approach you've outlined is a bit wonky. There are ways to bundle deps
without flattening versions. You could package grunt, gulp, and whatever
else in ways that avoid the need for versionless dependents, by way of self
contained packages.

> The last comment about obstructing it shows your intolerance towards
users of your library. You can try, but if it is Free Software, we'll find
a way.

You're free to use the software under the terms of its license. I'm also
free to not agree with your approach. It's not super great.

-JDD
-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to